<template>
  <ProDialog title="材料详情" v-model="visible" destroy-on-close draggable width="800px">
    <FourStreamsMaterialFileTable v-model:list="form.list" v-bind="props" />
    <template #footer>
      <span class="dialog-footer">
        <el-button type="primary" @click="handleConfirm">确 定</el-button>
      </span>
    </template>
  </ProDialog>
</template>

<script setup lang="ts">
import { ProDialog } from '@bole-core/components';
import FourStreamsMaterialFileTable from './FourStreamsMaterialFileTable.vue';
import { FourStreamsMaterialFileTableProps, FourStreamsMaterialFileTableItem } from './types';

defineOptions({
  name: 'MateriaDetailDialog',
});

type Props = FourStreamsMaterialFileTableProps & {};

const props = withDefaults(defineProps<Props>(), {
  showUploadBtn: true,
  showCheckBtn: true,
  showDownloadBtn: true,
  showDeleteBtn: true,
});

const visible = defineModel({ type: Boolean });

type Form = {
  list: FourStreamsMaterialFileTableItem[];
};

const form = defineModel<Form>('form');

const emit = defineEmits<{
  (e: 'onConfirm'): void;
  (e: 'onCancel'): void;
}>();

function handleConfirm() {
  emit('onConfirm');
}
</script>
